Package be.ehealth.technicalconnector.handler

# Class SchemaValidatorHandler

java.lang.Object
be.ehealth.technicalconnector.handler.AbstractSOAPHandler
be.ehealth.technicalconnector.handler.SchemaValidatorHandler

All Implemented Interfaces:
  `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`, `jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

public class SchemaValidatorHandler extends AbstractSOAPHandler
This handler will validate the incoming and outgoing message against the xsd's specified in the constructor.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `VERIFY_BOTH`
  XSD validation on INBOUND and OUTBOUND.
  `static final int`
  `VERIFY_INBOUND`
  XSD validation on INBOUND.
  `static final int`
  `VERIFY_OUTBOUND`
  XSD validation on OUTBOUND.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaValidatorHandler(int verifyType, String... schemaFile)`
  This constructor will creates a validator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `handleInbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Method that is called in the inbound flow.
  `boolean`
  `handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Method that is called in the outbound flow.

  ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler

  `close, dumpMessage, getHeaders, handleFault, handleMessage`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VERIFY_INBOUND

    public static final int VERIFY_INBOUND
    XSD validation on INBOUND.
    See Also:
      - Constant Field Values

  - ### VERIFY_OUTBOUND

    public static final int VERIFY_OUTBOUND
    XSD validation on OUTBOUND.
    See Also:
      - Constant Field Values

  - ### VERIFY_BOTH

    public static final int VERIFY_BOTH
    XSD validation on INBOUND and OUTBOUND.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SchemaValidatorHandler

    public SchemaValidatorHandler(int verifyType, String... schemaFile)
    This constructor will creates a validator.

- ## Method Details

  - ### handleInbound

    public boolean handleInbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Description copied from class: `AbstractSOAPHandler`
    Method that is called in the inbound flow.
    Overrides:
      `handleInbound` in class `AbstractSOAPHandler`

  - ### handleOutbound

    public boolean handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Description copied from class: `AbstractSOAPHandler`
    Method that is called in the outbound flow.
    Overrides:
      `handleOutbound` in class `AbstractSOAPHandler`